/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public class Service extends AbstractDomainObject {
    public String title() {
        TitleBuffer buf = new TitleBuffer();
        buf.append(getCar().getRegistrationNumber())
           .append(":", getBookedIn());
        return buf.toString();
    }
    
    private Car car;
    public Car getCar() { ... }
    public void setCar(final Car car) { ... }
    ...
}
